Subject: Re: [bug#70341] [PATCH v4] services: tor: Add support for pluggable transports.

From: André Batista <[email-masked]>
Date: Thu, 23 May 2024 18:49:23 -0300

Hi Nigko,

I'm sorry for the delay. I can confirm that this patch works as
described and the instructions are clear and provide enough
information to setup a proper configuration.

Maybe my shortcoming regarding '#:mappings' gave you room for
improvement :)

There was only one typo that I should mention:

sex 10 mai 2024 às 13:32:02 (1715358722), [email-masked] enviou:
> (...)
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index 1c1e0164e7..ae9bd7e290 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
>
> (...)
>
> @@ -21905,6 +21913,46 @@ Networking Services
>  @end table
>  @end deftp
>  
> +@cindex pluggable transports, tor
> +@deftp {Data Type} tor-transport-plugin
> +Data type representing a Tor pluggable transport plugin in
> +@code{tor-configuration}.  Plagguble transports are programs

You've exchanged 'a' for 'u' here ^ when typing Pluggable.

Other than that, all seem good to me and I find it to be a nice
little touch to Guix.

Let's wait for a maintainer to pick it up.

Cheers!